DisplayFormManager (API documentation of hlt.language packages)
Date: 2013-01-30

hlt.language.design.backend

## Interface DisplayFormManager

- All Known Subinterfaces:
    DisplayManager
  All Known Implementing Classes:
    DefaultDisplayFormManager, DefaultDisplayManager

      public interface DisplayFormManager

  This class defines methods that format runtime values according to their types to enable them to be legibly displayed.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DisplayFormManager` | `clearTags()`
    `java.lang.String` | `displayVoid()`
    `java.lang.String` | `quotedDisplayForm(double x)`
    `java.lang.String` | `quotedDisplayForm(int n, Type type)`
    `java.lang.String` | `quotedDisplayForm(java.lang.Object o, Type type)`
    `java.lang.String` | `typedDisplayForm(double x)`
    `java.lang.String` | `typedDisplayForm(int n, Type type)`
    `java.lang.String` | `typedDisplayForm(java.lang.Object o, Type type)`
    `java.lang.String` | `unquotedDisplayForm(double x)`
    `java.lang.String` | `unquotedDisplayForm(int n, Type type)`
    `java.lang.String` | `unquotedDisplayForm(java.lang.Object o, Type type)`

- - ### Method Detail

    - #### displayVoid

          java.lang.String displayVoid()

    - #### typedDisplayForm

          java.lang.String typedDisplayForm(int n,
                                          Type type)

    - #### typedDisplayForm

          java.lang.String typedDisplayForm(double x)

    - #### typedDisplayForm

          java.lang.String typedDisplayForm(java.lang.Object o,
                                          Type type)

    - #### quotedDisplayForm

          java.lang.String quotedDisplayForm(int n,
                                           Type type)

    - #### quotedDisplayForm

          java.lang.String quotedDisplayForm(double x)

    - #### quotedDisplayForm

          java.lang.String quotedDisplayForm(java.lang.Object o,
                                           Type type)

    - #### unquotedDisplayForm

          java.lang.String unquotedDisplayForm(int n,
                                             Type type)

    - #### unquotedDisplayForm

          java.lang.String unquotedDisplayForm(double x)

    - #### unquotedDisplayForm

          java.lang.String unquotedDisplayForm(java.lang.Object o,
                                             Type type)

    - #### clearTags

          DisplayFormManager clearTags()